<h1 id="fuego-de-quasar">Fuego de Quasar</h1>
<p>La ubicacion de la nave es: x = -500, y = 250 <br>
En base a esta ubicacion se obtiene la distancia que la separa de cada uno de los satellites.</p>
<h1 id="local-development-in-container-with-vs-code">Local development in container with VS Code</h1>
<p>Requirements:</p>
<ul>
<li>Docker</li>
<li>Docker-compose</li>
<li>VS Code</li>
</ul>
<p>In root folder run:
<code>docker-compose up -d</code>
Now the container is running. We need to attach vscode to container.
<img src="/assets/attaching_container_to_vscode.png" alt="Attaching VS Code to container">
Then we can start to work in container:
<img src="/assets/vscode_attached.png" alt="VS Code attached">
Set workdir as /var/task
<img src="/assets/set_workdir.png" alt="Set workdir"></p>
<p>Install extensions for vscode (Python)
<img src="/assets/install_python_extension.png" alt="Extensions"></p>
<p>Set Python interpreter
<img src="/assets/python_interpreter.png" alt="Set Python interpreter"></p>
<h1 id="running-tests">Running tests</h1>
<p><code>pytest tests/tests.py</code></p>
<h1 id="running-api">Running API</h1>
<p><code>flask run</code></p>
<h1 id="postman-collection-">Postman collection:</h1>
<p><a href="https://www.getpostman.com/collections/a39923591d1253119335" rel="some text"><img src="assets/postman_logo.png" alt="Postman Collection"></a></p>
<h1 id="topsecret">Topsecret</h1>
<h2 id="payload-">Payload:</h2>
<pre><code>{
<span class="hljs-attr">"satellites"</span>:[
{
<span class="hljs-attr">"name"</span>:<span class="hljs-string">"kenobi"</span>,
<span class="hljs-attr">"distance"</span>:<span class="hljs-number">450</span>,
<span class="hljs-attr">"message"</span>:[<span class="hljs-string">"este"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">""</span>,<span class="hljs-string">"mensaje"</span>,<span class="hljs-string">""</span>]
},
{
<span class="hljs-attr">"name"</span>:<span class="hljs-string">"skywalker"</span>,
<span class="hljs-attr">"distance"</span>:<span class="hljs-number">694.6221994724903</span>,
<span class="hljs-attr">"message"</span>:[<span class="hljs-string">""</span>,<span class="hljs-string">"es"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">""</span>,<span class="hljs-string">"secreto"</span>]
},
{
<span class="hljs-attr">"name"</span>:<span class="hljs-string">"sato"</span>,
<span class="hljs-attr">"distance"</span>:<span class="hljs-number">1011.1874208078342</span>,
<span class="hljs-attr">"message"</span>:[<span class="hljs-string">"este"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">"un"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">""</span>]
}
]
}
</code></pre><h2 id="api-topsecret-response-">API Topsecret Response:</h2>
<p><img src="/assets/api_response_topsecret.png" alt="topsecret"></p>
<h2 id="trilateration-plot-">Trilateration plot:</h2>
<p><img src="/assets/trilateration.png" alt="Trilateration plot"></p>
<h2 id="payload-del-enunciado-404-">Payload del enunciado (404):</h2>
<pre><code>{
<span class="hljs-attr">"satellites"</span>:[
{
<span class="hljs-attr">"name"</span>:<span class="hljs-string">"kenobi"</span>,
<span class="hljs-attr">"distance"</span>:<span class="hljs-number">100</span>,
<span class="hljs-attr">"message"</span>:[<span class="hljs-string">"este"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">""</span>,<span class="hljs-string">"mensaje"</span>,<span class="hljs-string">""</span>]
},
{
<span class="hljs-attr">"name"</span>:<span class="hljs-string">"skywalker"</span>,
<span class="hljs-attr">"distance"</span>:<span class="hljs-number">115.5</span>,
<span class="hljs-attr">"message"</span>:[<span class="hljs-string">""</span>,<span class="hljs-string">"es"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">""</span>,<span class="hljs-string">"secreto"</span>]
},
{
<span class="hljs-attr">"name"</span>:<span class="hljs-string">"sato"</span>,
<span class="hljs-attr">"distance"</span>:<span class="hljs-number">142.7</span>,
<span class="hljs-attr">"message"</span>:[<span class="hljs-string">"este"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">"un"</span>,<span class="hljs-string">""</span>,<span class="hljs-string">""</span>]
}
]
}
</code></pre><p>Como los circulos no se superponen no puede obtener la ubicacion.</p>
<h2 id="api-topsecret-response-404-">API Topsecret Response: (404)</h2>
<p><img src="/assets/api_response_topsecret_404.png" alt="topsecret 404"></p>
<h1 id="deploy-to-aws-using-zappa-">Deploy to AWS using Zappa:</h1>
<p>Add .env file to root folder like this example:
AWS_ACCESS_KEY_ID=ABC123ABC123
AWS_SECRET_ACCESS_KEY=ABC123ABC123
FLASK_APP=lambda_function.py</p>
<p><code>zappa init</code></p>
<p><code>zappa deploy prod</code></p>
